Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Installeren van Beryl of compiz?  (gelezen 1263 keer)

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Gepost op: 2007/02/16, 12:10:03 »
Zou iemand mij kunnen helpen bij het installeren van beryl of compiz? Ik heb dit gisteren ook al geprobeerd maar dan had ik problemen met het grafisch aanmelden. Ik heb dit gedaan aan de hand van ubuntuguide.org, maar zonder resultaat dus. Ik ben echt nog een noobje in ubuntu :).

Ik heb een Nvidia GeForce Go 7600 PCI Express 128MB VRAM grafische kaart. Is het met deze kaart mogelijk omdit te doen?
Verdere informatie: Ik heb ubuntu 6.10 op mijn laptop staan.

Greetz

Offline Samuel Rave

  • Lid
    • http://www.familie-rave.de/
  • Steunpunt: Nee
Installeren van Beryl of compiz?
« Reactie #1 Gepost op: 2007/02/16, 12:17:24 »
Ten eerste, welke driver heb je draaiende voor de grafischekaart?

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Reactie #2 Gepost op: 2007/02/16, 12:20:05 »
hoe kan ik dat te weten komen?

Offline Samuel Rave

  • Lid
    • http://www.familie-rave.de/
  • Steunpunt: Nee
Installeren van Beryl of compiz?
« Reactie #3 Gepost op: 2007/02/16, 12:23:40 »
- start terminal
- typ in: gedit /etc/X11/xorg.conf

Nu start gedit op met de inhoud van je xorg.conf,
scroll naar beneden tot je Section "Device" ziet.
Kijk in die sectie wat er achter driver staat.

Je mag ook je totale xorg.conf hier posten als je er niet uitkomt.

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Reactie #4 Gepost op: 2007/02/16, 12:33:43 »
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
   FontPath   "/usr/share/X11/fonts/misc"
   FontPath   "/usr/share/X11/fonts/cyrillic"
   FontPath   "/usr/share/X11/fonts/100dpi/:unscaled"
   FontPath   "/usr/share/X11/fonts/75dpi/:unscaled"
   FontPath   "/usr/share/X11/fonts/Type1"
   FontPath   "/usr/share/X11/fonts/100dpi"
   FontPath   "/usr/share/X11/fonts/75dpi"
   FontPath   "/usr/share/fonts/X11/misc"
   # path to defoma fonts
   FontPath   "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
   Load   "i2c"
   Load   "bitmap"
   Load   "ddc"
   Load   "dri"
   Load   "extmod"
   Load   "freetype"
   Load   "glx"
   Load   "int10"
   Load   "type1"
   Load   "vbe"
EndSection

Section "InputDevice"
   Identifier   "Generic Keyboard"
   Driver      "kbd"
   Option      "CoreKeyboard"
   Option      "XkbRules"   "xorg"
   Option      "XkbModel"   "pc105"
   Option      "XkbLayout"   "be"
   Option      "XkbOptions"   "lv3:ralt_switch"
EndSection

Section "InputDevice"
   Identifier   "Configured Mouse"
   Driver      "mouse"
   Option      "CorePointer"
   Option      "Device"      "/dev/input/mice"
   Option      "Protocol"      "ExplorerPS/2"
   Option      "ZAxisMapping"      "4 5"
   Option      "Emulate3Buttons"   "true"
EndSection

Section "InputDevice"
   Identifier   "Synaptics Touchpad"
   Driver      "synaptics"
   Option      "SendCoreEvents"   "true"
   Option      "Device"      "/dev/psaux"
   Option      "Protocol"      "auto-dev"
   Option      "HorizScrollDelta"   "0"
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "stylus"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "stylus"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "eraser"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "eraser"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "cursor"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "cursor"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "Device"
   Identifier   "NVIDIA Corporation NVIDIA Default Card"
   Driver      "nv"
   BusID      "PCI:1:0:0"
EndSection

Section "Monitor"
   Identifier   "Generic Monitor"
   Option      "DPMS"
   HorizSync   28-64
   VertRefresh   43-60
EndSection

Section "Screen"
   Identifier   "Default Screen"
   Device      "NVIDIA Corporation NVIDIA Default Card"
   Monitor      "Generic Monitor"
   DefaultDepth   16
   SubSection "Display"
      Depth      1
      Modes      "1280x800"
   EndSubSection
   SubSection "Display"
      Depth      4
      Modes      "1280x800"
   EndSubSection
   SubSection "Display"
      Depth      8
      Modes      "1280x800"
   EndSubSection
   SubSection "Display"
      Depth      15
      Modes      "1280x800"
   EndSubSection
   SubSection "Display"
      Depth      16
      Modes      "1280x800"
   EndSubSection
   SubSection "Display"
      Depth      24
      Modes      "1280x800"
   EndSubSection
EndSection

Section "ServerLayout"
   Identifier   "Default Layout"
   Screen      "Default Screen"
   InputDevice   "Generic Keyboard"
   InputDevice   "Configured Mouse"
   InputDevice     "stylus" "SendCoreEvents"
   InputDevice     "cursor" "SendCoreEvents"
   InputDevice     "eraser" "SendCoreEvents"
   InputDevice   "Synaptics Touchpad"
EndSection

Section "DRI"
   Mode   0666
EndSection

Hier de informatie die in de gedit vermeld staat. Ik hoop dat u mij verder kan helpen.

Offline Samuel Rave

  • Lid
    • http://www.familie-rave.de/
  • Steunpunt: Nee
Installeren van Beryl of compiz?
« Reactie #5 Gepost op: 2007/02/16, 16:07:44 »
Je hebt dus de "nv"-driver actief voor je nvidiakaart, dat is de opensource-driver en daarmee is geen 3D en Beryl-XGL mogelijk.
Je moet dus de Nvidia-driver hebben, deze zit in de repositories, wanneer je de multiverse en universe althans geactiveerd hebt in je sources.list.

Als je nog ff geduld hebt schrijf ik vanavond een eenvoudige, korte howto.
Want voor een PC met een nvidia-kaart is Beryl namelijk makkelijk te installeren op Edgy. :) Ik draai het overigens ook!

Momenteel ben ik echt ff druk.

Tot vanavond!

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Reactie #6 Gepost op: 2007/02/16, 16:12:43 »
Merciekes makker

En aan de hand van die how to kan ik dat volledig instellen en installeren en dat gaat geen enkel probleem opleveren?

Alvast bedankt.

grtz

Offline Ronnie

  • Artworkteam
    • ronnie.vd.c
  • Steunpunt: Nee
Installeren van Beryl of compiz?
« Reactie #7 Gepost op: 2007/02/16, 16:52:22 »
Op de site van Beryl staat een goede howto
http://wiki.beryl-project.org/wiki/Install_Beryl_on_Ubuntu

Kijk maar eens of je er iets van snapt.
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Documentatie Terminal

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Reactie #8 Gepost op: 2007/02/16, 17:45:03 »
Ik heb al eens gezien maar ik gaan toch wachten op how to van Corvus_Corax. Want ik weet niet juist wat ik met de driver moet doen. Maar toch al bedankt.

Offline siegi

  • Lid
  • Steunpunt: Nee
Installeren van Beryl of compiz?
« Reactie #9 Gepost op: 2007/02/16, 18:45:31 »
Citaat van: CORVUS_CORAX
Je hebt dus de "nv"-driver actief voor je nvidiakaart, dat is de opensource-driver en daarmee is geen 3D en Beryl-XGL mogelijk.
Je moet dus de Nvidia-driver hebben, deze zit in de repositories, wanneer je de multiverse en universe althans geactiveerd hebt in je sources.list.

Als je nog ff geduld hebt schrijf ik vanavond een eenvoudige, korte howto.
Want voor een PC met een nvidia-kaart is Beryl namelijk makkelijk te installeren op Edgy. :) Ik draai het overigens ook!

Momenteel ben ik echt ff druk.

Tot vanavond!
Als ie edgy draait een nvidia grafische kaart heeft is het beter om geen xgl te gebruiken. Je hebt dan wel een recente nvidia driver nodig een met een versienummer dat begint met 9* .  

Ik zou je aanraden hiervoor de repo's van http://albertomilone.com/ te gebruiken.  Hij ze trouwens juist nog geupdate omdat ubuntu een kernel update had gedaan en dus de drivers opnieuw moesten gecompileerd worden.

Vervolgens kan je op beryl-project.org de wiki lezen.  
nvidia heeft zelf een soort aiglx maar bij mij werkt die in elk geval niet goed doordat ik maar 128 mb geheugen op mijn graka heb
Ik gebruik aiglx.

De uitleg kan misschien wat verwarrend zijn maar heb nu niet echt veel tijd om het uit te leggen.

Ahlfie

  • Gast
Installeren van Beryl of compiz?
« Reactie #10 Gepost op: 2007/02/16, 19:09:43 »
Siegi

Hier heb ik niet veel van verstaan :s. Ik ga wachten op de how to die ik vanavond krijg.

Toch bedankt voor de info. :)

Grtz